Loading...
Searching...
No Matches
enum_type.h File Reference
`#include "platform.h"`

Go to the source code of this file.

## Macros

#define | ETL_DECLARE_ENUM_TYPE(TypeName, ValueType)
#define | ETL_ENUM_TYPE(value, name)
#define | ETL_END_ENUM_TYPE

## Macro Definition Documentation

## ETL_END_ENUM_TYPE

#define ETL_END_ENUM_TYPE

Value:
default: return "?"; \
} \
} \
\
private: \
\
enum_type value;

## ETL_ENUM_TYPE

#define ETL_ENUM_TYPE | ( |  | value,
|  |  | name )

Value:
case value: return name;